pydo.apps.get_exec()
Generated on 3 Aug 2026
from pydo version
v0.40.0
Usage
client.apps.get_exec(
app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
deployment_id="3aa4d20e-5527-4c00-b496-601fbd22520a",
component_name="component",
instance_name=None,
)Description
Returns a websocket URL that allows sending/receiving console input and output to a component of the specified deployment if one exists. Optionally, the instance_name parameter can be provided to retrieve the exec URL for a specific instance. Note that instances are ephemeral; therefore, we recommended to avoid making persistent changes or such scripting around them.
Parameters
app_idstring requiredThe app ID
deployment_idstring requiredThe deployment ID
component_namestring requiredAn optional component name. If set, logs will be limited to this component only.
instance_namestring optionalThe name of the actively running ephemeral compute instance
Request Sample
Response Example
More Information
See /v2/apps/{app_id}/deployments/{deployment_id}/components/{component_name}/exec in the API reference for additional detail on responses, headers, parameters, and more.